<CsoundSynthesizer>

<CsOptions>

-W -oSOSCD114.wav     

</CsOptions>

<CsInstruments>



sr		= 44100

kr		= 44100

ksmps	= 1

nchnls = 1



; ------------------------------------------------------------------------------------

; Schaeffer and Reibel, Solfge de l'objet sonore, nouvelle dition, 1998

; Orchestra and score to generate the sound example 14, CD 1

; sine sound of 65 c/s

; ------------------------------------------------------------------------------------

; Paolo Zavagna - 20130401

; ------------------------------------------------------------------------------------



instr 1 ;sinusoidal tone



idur	= p3 ; note duration

iamp	= ampdb(p4) ; amplitude in dB

ifrq	= p5 ; frequency in Hertz

iatt	= p6 ; attack time

idec	= p7 ; decay time



kamp	linen iamp, iatt, idur, idec

asin	oscili kamp, ifrq, 1

		out asin



endin



</CsInstruments>

<CsScore>

f1 0 4096 10 1	; function: sinusoidal

;

i1 0 2.5 86 65 0.05 0.05

e

</CsScore>

</CsoundSynthesizer> <bsbPanel>

 <label>Widgets</label>

 <objectName/>

 <x>72</x>

 <y>179</y>

 <width>400</width>

 <height>200</height>

 <visible>true</visible>

 <uuid/>

 <bgcolor mode="nobackground">

  <r>231</r>

  <g>46</g>

  <b>255</b>

 </bgcolor>

 <bsbObject version="2" type="BSBVSlider">

  <objectName>slider1</objectName>

  <x>5</x>

  <y>5</y>

  <width>20</width>

  <height>100</height>

  <uuid>{05818742-ec3b-4113-a5cc-77eadb840478}</uuid>

  <visible>true</visible>

  <midichan>0</midichan>

  <midicc>-3</midicc>

  <minimum>0.00000000</minimum>

  <maximum>1.00000000</maximum>

  <value>0.00000000</value>

  <mode>lin</mode>

  <mouseControl act="jump">continuous</mouseControl>

  <resolution>-1.00000000</resolution>

  <randomizable group="0">false</randomizable>

 </bsbObject>

</bsbPanel>

<bsbPresets>

</bsbPresets>

<MacOptions>

Version: 3

Render: Real

Ask: Yes

Functions: ioObject

Listing: Window

WindowBounds: 72 179 400 200

CurrentView: io

IOViewEdit: On

Options:

</MacOptions>



<MacGUI>

ioView nobackground {59367, 11822, 65535}

ioSlider {5, 5} {20, 100} 0.000000 1.000000 0.000000 slider1

</MacGUI>

